---
title: Delete Custom Hostname (and any issued SSL certificates)
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/typescript)

[Custom Hostnames](https://developers.cloudflare.com/api/typescript/resources/custom_hostnames)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Delete Custom Hostname (and any issued SSL certificates)

client.customHostnames.delete(stringcustomHostnameID, CustomHostnameDeleteParams {zone\_id } params, RequestOptionsoptions?): [CustomHostnameDeleteResponse](<https://developers.cloudflare.com/api/typescript/resources/custom_hostnames#(resource)%20custom_hostnames%20%3E%20(model)%20custom_hostname_delete_response%20%3E%20(schema)>) {id }

DELETE/zones/{zone\_id}/custom\_hostnames/{custom\_hostname\_id}

Permanently deletes a custom hostname and revokes any SSL certificates that were issued for it. This action cannot be undone.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`SSL and Certificates Write`

##### ParametersExpand Collapse

customHostnameID: string

Custom hostname identifier tag.

maxLength36

minLength36

[Link to this property](<#(resource)%20custom_hostnames%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20custom_hostname_id%20%3E%20(schema)>)

<details>

<summary>

params: CustomHostnameDeleteParams {zone\_id }

</summary>

zone\_id: string

Identifier.

maxLength32

<a href="#(resource)%20custom_hostnames%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20zone_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20custom_hostnames%20%3E%20(method)%20delete%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

CustomHostnameDeleteResponse {id }

</summary>

id?: string

Custom hostname identifier tag.

maxLength36

minLength36

<a href="#(resource)%20custom_hostnames%20%3E%20(model)%20custom_hostname_delete_response%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20custom_hostnames%20%3E%20(model)%20custom_hostname_delete_response%20%3E%20(schema)>)

### Delete Custom Hostname (and any issued SSL certificates)

TypeScript

HTTPTypeScriptPythonGoTerraform

```
import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const customHostname = await client.customHostnames.delete('0d89c70d-ad9f-4843-b99f-6cc0252067e9', {
  zone_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(customHostname.id);
```

200 example

```
{
  "id": "0d89c70d-ad9f-4843-b99f-6cc0252067e9"
}
```

##### Returns Examples

200 example

```
{
  "id": "0d89c70d-ad9f-4843-b99f-6cc0252067e9"
}
```